Subject: bug#38564: 27.0.50; macOS "emacs -nw" git-gutter-mode segfault

From: Alan Third <[email-masked]>
Date: Thu, 19 Dec 2019 19:20:50 +0000

On Thu, Dec 12, 2019 at 08:45:11AM +0100, Robert Pluim wrote:
> >>>>> On Wed, 11 Dec 2019 19:37:34 +0000, Alan Third <[email-masked]> said:
> 
>     Alan> On Wed, Dec 11, 2019 at 11:12:41AM +0100, Robert Pluim wrote:
>     >> Right idea, but one layer lower than needed. ns_color_index_to_rgba
>     >> should not be calling ns_lookup_indexed_color in non-gui mode. Try
>     >> this instead:
> 
>     Alan> Hi Robert, thanks for sorting this. One thing...
> 
>     >> +  if (FRAME_DISPLAY_INFO (f))
> 
>     Alan> Would it not be better to use FRAME_NS_P?
> 
> Yes. In fact, how about reverting my change to ns_color_index_to_rgba
> and doing this instead (you canʼt use FRAME_DISPLAY_INFO in
> dispextern.h without much bigger changes):

Hi Robert, I’m not sure if you were waiting for me, but I’m happy with
either approach.

-- 
Alan Third